Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056381 - [RFE][nova]: Disable file injection by default
Summary: [RFE][nova]: Disable file injection by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M3
: 5.0 (RHEL 7)
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_icehouse-3 upstrea...
Depends On:
Blocks: 1082398
TreeView+ depends on / blocked
 
Reported: 2014-01-22 05:04 UTC by RHOS Integration
Modified: 2014-09-08 05:42 UTC (History)
7 users (show)

Fixed In Version: openstack-nova-2014.1-3.el7ost
Doc Type: Deprecated Functionality
Doc Text:
File injection into VM images is now deprecated; instead, Red Hat recommends that you use the ConfigDrive and metadata server facilities to modify guests at launch. File injection is now disabled by default in OpenStack Compute. To enable file injection, modify the inject_key and inject_partition configuration keys in /etc/nova/nova.conf and restart the Compute services. Note that the file-injection mechanism will probably be disabled in a future release.
Clone Of:
: 1082398 (view as bug list)
Environment:
Last Closed: 2014-07-08 15:28:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0853 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement - Compute 2014-07-08 19:22:38 UTC

Description RHOS Integration 2014-01-22 05:04:06 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/disable-file-injection-by-default.

Description:

With ConfigDrive and Metadata service combined there is no need for fiddling inside VM images at deployment time - images can consult metadata locally (configdrive) or network (metadata service).

Disabling it by default is thus sane, and we can review whether to deprecate and remove it entirely in future.

Specification URL (additional information):

None

Comment 1 Stephen Gordon 2014-02-06 14:09:11 UTC
Updating based on BP milestone

Comment 8 errata-xmlrpc 2014-07-08 15:28:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0853.html


Note You need to log in before you can comment on or make changes to this bug.